--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: update_pofiles_org
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "At first, this creates the #{po_root}/#{domainname}.pot file using GetText.rgettext. In the second step, this updates(merges) the #{po_root}/#{domainname}.pot and all of the #{po_root}/#{lang}/#{domainname}.po files under &quot;po_root&quot; using &quot;msgmerge&quot;."
- !ruby/struct:SM::Flow::P 
  body: <b>Note</b> &quot;msgmerge&quot; tool is included in GNU GetText. So you need to install GNU GetText.
- !ruby/struct:SM::Flow::P 
  body: See &lt;HOWTO maintain po/mo files(http://www.yotabanana.com/hiki/ruby-gettext-howto-manage.html)&gt; for more detals.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "domainname: the textdomain name."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "targetfiles: An Array of target files, that should be parsed for messages (See GetText.rgettext for more details)."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "app_version: the application information which appears &quot;Project-Id-Version: #{app_version}&quot; in the pot/po-files."
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "options: a hash with following possible settings"
  - !ruby/struct:SM::Flow::VERB 
    body: "  :lang    - update files only for one language - the language specified by this option\n  :po_root - the root directory of po-files\n  :msgmerge - an array with the options, passed through to the gnu msgmerge tool\n              symbols are automatically translated to options with dashes,\n              example: [:no_wrap, :no_fuzzy_matching, :sort_output] translated to '--no-fuzzy-matching --sort-output'\n  :verbose - true to show verbose messages. default is false.\n"
  type: :BULLET
- !ruby/struct:SM::Flow::P 
  body: "Example: GetText.update_pofiles(&quot;myapp&quot;, Dir.glob(&quot;lib/*.rb&quot;), &quot;myapp 1.0.0&quot;, :verbose =&gt; true)"
full_name: GetText#update_pofiles
is_singleton: false
name: update_pofiles
params: (textdomain, files, app_version, options = {})
visibility: public
